.brand-card {
  --card-background-color: var(--bg-white);
  --card-head-height: 11.8125rem;
  --card-link-color-hover: var(--accent-primary-hover);
  --card-max-width: var(--card-max-width-6);
  --card-padding: 1.25rem;
  --card-border-color: var(--stroke-dark-10);
  --card-border-radius: var(--radius-card);
  --card-border-radius-image: var(--radius-btn);
  --card-border-size: 1px;
  --card-gap: 1.25rem;
  --card-gap-content: 0.625rem;
  --card-image-background-color: var(--bg-extra-light);
  --card-image-size: 8rem;
  --card-title-font: var(--font-body-S-r);
  --card-title-color: var(--text-dark-primary);
  --card-description-font: var(--font-body-XS-r);
  --card-description-color: var(--text-dark-secondary);
  position: relative;
  padding: calc(var(--card-padding) - var(--card-border-size));
  width: 100%;
  max-width: var(--card-max-width);
  height: auto;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: var(--card-gap);
  background-color: var(--card-background-color);
  border: solid var(--card-border-size) var(--card-border-color);
  border-radius: var(--card-border-radius);
}
@media (min-width: 1921px) {
  .brand-card {
    --card-border-size: 0.0520833333vw;
    --card-gap: 1.0416666667vw;
    --card-gap-content: 0.5208333333vw;
    --card-head-height: 9.84375vw;
    --card-image-size: 6.6666666667vw;
    --card-padding: 1.0416666667vw;
  }
}
@media (max-width: 1600px) {
  .brand-card {
    --card-gap: 0.9375rem;
    --card-gap-content: 0.3125rem;
    --card-head-height: 7.5rem;
    --card-image-size: 5.625rem;
    --card-padding: 0.9375rem;
  }
}
@media (max-width: 1160px) {
  .brand-card {
    --card-gap: 0.625rem;
  }
}
@media (max-width: 630px) {
  .brand-card {
    --card-head-height: 5.25rem;
    --card-image-size: 4rem;
    --card-max-width: 12.5rem;
    --card-padding: 0.625rem;
  }
}
.brand-card__image {
  width: 100%;
  height: var(--card-head-height);
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  -webkit-box-pack: center;
      -ms-flex-pack: center;
          justify-content: center;
  -ms-flex-negative: 0;
      flex-shrink: 0;
  background-color: var(--card-image-background-color);
  border-radius: var(--card-border-radius-image);
  pointer-events: none;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
}
.brand-card__image img, .brand-card__image picture {
  width: var(--card-image-size);
  max-width: 100%;
  height: var(--card-image-size);
  max-height: 100%;
  display: block;
  -o-object-fit: contain;
     object-fit: contain;
  -o-object-position: center;
     object-position: center;
}
.brand-card__body {
  width: 100%;
  height: 100%;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: vertical;
  -webkit-box-direction: normal;
      -ms-flex-direction: column;
          flex-direction: column;
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: flex-start;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: flex-start;
  gap: var(--card-gap-content);
}
.brand-card__body:empty {
  display: none;
}
.brand-card__title {
  -webkit-box-ordinal-group: 3;
      -ms-flex-order: 2;
          order: 2;
  margin-top: auto;
  color: var(--card-title-color);
  font: var(--card-title-font);
}
.brand-card__title:empty {
  display: none;
}
.brand-card__title[href] {
  position: relative;
  width: -webkit-fit-content;
  width: -moz-fit-content;
  width: fit-content;
  text-decoration: none;
  -webkit-transition: color var(--animation-default);
  transition: color var(--animation-default);
}
@media (any-hover: hover) {
  .brand-card__title[href]:hover {
    color: var(--card-link-color-hover);
  }
}
.brand-card__title[href]::before {
  top: -0.625rem;
  left: -0.625rem;
  width: calc(100% + 0.625rem * 2);
  height: calc(100% + 0.625rem * 2);
  content: "";
  position: absolute;
  background-color: transparent;
  opacity: 0;
}
@media (min-width: 1921px) {
  .brand-card__title[href]::before {
    top: -0.5208333333vw;
    left: -0.5208333333vw;
    width: calc(100% + 0.5208333333vw * 2);
    height: calc(100% + 0.5208333333vw * 2);
  }
}
.brand-card__description {
  -webkit-box-ordinal-group: 2;
      -ms-flex-order: 1;
          order: 1;
  color: var(--card-description-color);
  font: var(--card-description-font);
}
.brand-card__description:empty {
  display: none;
}
.js-has-pseudo [csstools-has-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-1m-32-33-38-14-2j-2r-37-37-38-33-33-30-37-19-2w-2p-37-19-1d-31-19-1e-3b-19-1e-34-19-1f-1j-19-1d-1g-19-1d-2p-19-1e-35-19-1f-1i-19-1e-34-19-1f-1e-19-1e-37-19-1d-1l-19-1e-36-19-1e-34-19-1f-1i-19-1e-37-19-1e-32-19-1e-32-19-1e-37-19-1e-38-19-1f-1j-19-1e-36-19-1f-1i-19-1e-3c-19-1f-1g-19-1f-1k-19-1e-3c-19-1f-1f-19-1f-1e-19-1d-1h-2l-15-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15]:not(.does-not-exist):not(.does-not-exist) {
  --card-background-color: var(--bg-white);
  --card-gap: 0.625rem;
  --card-head-height: 11.8125rem;
  --card-max-width: var(--card-max-width-6);
  --card-padding: 1.25rem;
  --card-border-color: var(--stroke-dark-10);
  --card-border-radius: var(--radius-card);
  --card-border-radius-image: var(--radius-btn);
  --card-border-size: 1px;
  --card-image-background-color: var(--card-background-color);
  --card-image-size: 8rem;
  --card-title-color: var(--text-dark-primary);
  --card-title-font: var(--font-body-L-m);
  border: none;
}
.brand-card:not(:has(.brand-card__description)):has(.brand-card__title) {
  --card-background-color: var(--bg-white);
  --card-gap: 0.625rem;
  --card-head-height: 11.8125rem;
  --card-max-width: var(--card-max-width-6);
  --card-padding: 1.25rem;
  --card-border-color: var(--stroke-dark-10);
  --card-border-radius: var(--radius-card);
  --card-border-radius-image: var(--radius-btn);
  --card-border-size: 1px;
  --card-image-background-color: var(--card-background-color);
  --card-image-size: 8rem;
  --card-title-color: var(--text-dark-primary);
  --card-title-font: var(--font-body-L-m);
  border: none;
}
@media (min-width: 1921px) {
  .js-has-pseudo [csstools-has-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-1m-32-33-38-14-2j-2r-37-37-38-33-33-30-37-19-2w-2p-37-19-1d-31-19-1e-3b-19-1e-34-19-1f-1j-19-1d-1g-19-1d-2p-19-1e-35-19-1f-1i-19-1e-34-19-1f-1e-19-1e-37-19-1d-1l-19-1e-36-19-1e-34-19-1f-1i-19-1e-37-19-1e-32-19-1e-32-19-1e-37-19-1e-38-19-1f-1j-19-1e-36-19-1f-1i-19-1e-3c-19-1f-1g-19-1f-1k-19-1e-3c-19-1f-1f-19-1f-1e-19-1d-1h-2l-15-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15]:not(.does-not-exist):not(.does-not-exist) {
    --card-border-size: 0.0520833333vw;
    --card-gap: 0.5208333333vw;
    --card-head-height: 9.84375vw;
    --card-image-size: 6.6666666667vw;
    --card-padding: 1.0416666667vw;
  }
  .brand-card:not(:has(.brand-card__description)):has(.brand-card__title) {
    --card-border-size: 0.0520833333vw;
    --card-gap: 0.5208333333vw;
    --card-head-height: 9.84375vw;
    --card-image-size: 6.6666666667vw;
    --card-padding: 1.0416666667vw;
  }
}
@media (max-width: 1600px) {
  .js-has-pseudo [csstools-has-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-1m-32-33-38-14-2j-2r-37-37-38-33-33-30-37-19-2w-2p-37-19-1d-31-19-1e-3b-19-1e-34-19-1f-1j-19-1d-1g-19-1d-2p-19-1e-35-19-1f-1i-19-1e-34-19-1f-1e-19-1e-37-19-1d-1l-19-1e-36-19-1e-34-19-1f-1i-19-1e-37-19-1e-32-19-1e-32-19-1e-37-19-1e-38-19-1f-1j-19-1e-36-19-1f-1i-19-1e-3c-19-1f-1g-19-1f-1k-19-1e-3c-19-1f-1f-19-1f-1e-19-1d-1h-2l-15-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15]:not(.does-not-exist):not(.does-not-exist) {
    --card-head-height: 7.5rem;
    --card-image-size: 5.625rem;
    --card-padding: 0.9375rem;
  }
  .brand-card:not(:has(.brand-card__description)):has(.brand-card__title) {
    --card-head-height: 7.5rem;
    --card-image-size: 5.625rem;
    --card-padding: 0.9375rem;
  }
}
@media (max-width: 1160px) {
  .js-has-pseudo [csstools-has-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-1m-32-33-38-14-2j-2r-37-37-38-33-33-30-37-19-2w-2p-37-19-1d-31-19-1e-3b-19-1e-34-19-1f-1j-19-1d-1g-19-1d-2p-19-1e-35-19-1f-1i-19-1e-34-19-1f-1e-19-1e-37-19-1d-1l-19-1e-36-19-1e-34-19-1f-1i-19-1e-37-19-1e-32-19-1e-32-19-1e-37-19-1e-38-19-1f-1j-19-1e-36-19-1f-1i-19-1e-3c-19-1f-1g-19-1f-1k-19-1e-3c-19-1f-1f-19-1f-1e-19-1d-1h-2l-15-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15]:not(.does-not-exist):not(.does-not-exist) {
    --card-image-size: 5rem;
  }
  .brand-card:not(:has(.brand-card__description)):has(.brand-card__title) {
    --card-image-size: 5rem;
  }
}
@media (max-width: 630px) {
  .js-has-pseudo [csstools-has-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-1m-32-33-38-14-2j-2r-37-37-38-33-33-30-37-19-2w-2p-37-19-1d-31-19-1e-3b-19-1e-34-19-1f-1j-19-1d-1g-19-1d-2p-19-1e-35-19-1f-1i-19-1e-34-19-1f-1e-19-1e-37-19-1d-1l-19-1e-36-19-1e-34-19-1f-1i-19-1e-37-19-1e-32-19-1e-32-19-1e-37-19-1e-38-19-1f-1j-19-1e-36-19-1f-1i-19-1e-3c-19-1f-1g-19-1f-1k-19-1e-3c-19-1f-1f-19-1f-1e-19-1d-1h-2l-15-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15]:not(.does-not-exist):not(.does-not-exist) {
    --card-head-height: 5.25rem;
    --card-image-size: 4rem;
    --card-padding: 0.625rem;
  }
  .brand-card:not(:has(.brand-card__description)):has(.brand-card__title) {
    --card-head-height: 5.25rem;
    --card-image-size: 4rem;
    --card-padding: 0.625rem;
  }
}
.js-has-pseudo [csstools-has-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-1m-32-33-38-14-2j-2r-37-37-38-33-33-30-37-19-2w-2p-37-19-1d-31-19-1e-3b-19-1e-34-19-1f-1j-19-1d-1g-19-1d-2p-19-1e-35-19-1f-1i-19-1e-34-19-1f-1e-19-1e-37-19-1d-1l-19-1e-36-19-1e-34-19-1f-1i-19-1e-37-19-1e-32-19-1e-32-19-1e-37-19-1e-38-19-1f-1j-19-1e-36-19-1f-1i-19-1e-3c-19-1f-1g-19-1f-1k-19-1e-3c-19-1f-1f-19-1f-1e-19-1d-1h-2l-15-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15-w-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-2x-31-2p-2v-2t]:not(.does-not-exist):not(.does-not-exist):not(.does-not-exist) {
  border: solid var(--card-border-size) var(--card-border-color);
}
.brand-card:not(:has(.brand-card__description)):has(.brand-card__title) .brand-card__image {
  border: solid var(--card-border-size) var(--card-border-color);
}
.js-has-pseudo [csstools-has-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-1m-32-33-38-14-2j-2r-37-37-38-33-33-30-37-19-2w-2p-37-19-1d-31-19-1e-3b-19-1e-34-19-1f-1j-19-1d-1g-19-1d-2p-19-1e-35-19-1f-1i-19-1e-34-19-1f-1e-19-1e-37-19-1d-1l-19-1e-36-19-1e-34-19-1f-1i-19-1e-37-19-1e-32-19-1e-32-19-1e-37-19-1e-38-19-1f-1j-19-1e-36-19-1f-1i-19-1e-3c-19-1f-1g-19-1f-1k-19-1e-3c-19-1f-1f-19-1f-1e-19-1d-1h-2l-15-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15-w-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t]:not(.does-not-exist):not(.does-not-exist):not(.does-not-exist) {
  position: static;
  margin-top: 0;
}
.brand-card:not(:has(.brand-card__description)):has(.brand-card__title) .brand-card__title {
  position: static;
  margin-top: 0;
}
.js-has-pseudo [csstools-has-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-1m-32-33-38-14-2j-2r-37-37-38-33-33-30-37-19-2w-2p-37-19-1d-31-19-1e-3b-19-1e-34-19-1f-1j-19-1d-1g-19-1d-2p-19-1e-35-19-1f-1i-19-1e-34-19-1f-1e-19-1e-37-19-1d-1l-19-1e-36-19-1e-34-19-1f-1i-19-1e-37-19-1e-32-19-1e-32-19-1e-37-19-1e-38-19-1f-1j-19-1e-36-19-1f-1i-19-1e-3c-19-1f-1g-19-1f-1k-19-1e-3c-19-1f-1f-19-1f-1e-19-1d-1h-2l-15-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15-w-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t]:not(.does-not-exist):not(.does-not-exist):not(.does-not-exist)::before {
  top: -0rem;
  left: -0rem;
  width: calc(100% + 0rem * 2);
  height: calc(100% + 0rem * 2);
}
.brand-card:not(:has(.brand-card__description)):has(.brand-card__title) .brand-card__title::before {
  top: -0rem;
  left: -0rem;
  width: calc(100% + 0rem * 2);
  height: calc(100% + 0rem * 2);
}
.js-has-pseudo .brand-card:not([csstools-has-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-2s-2t-37-2r-36-2x-34-38-2x-33-32-15]):not([csstools-has-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15]) {
  --card-background-color: var(--bg-white);
  --card-head-height: 11.8125rem;
  --card-max-width: var(--card-max-width-6);
  --card-padding: 0px;
  --card-border-color: transparent;
  --card-border-radius: var(--radius-card);
  --card-border-radius-image: var(--card-border-radius);
  --card-border-size: 0px;
  --card-image-background-color: var(--card-background-color);
  --card-image-size: 8rem;
  border: none;
}
.brand-card:not(:has(.brand-card__description)):not(:has(.brand-card__title)) {
  --card-background-color: var(--bg-white);
  --card-head-height: 11.8125rem;
  --card-max-width: var(--card-max-width-6);
  --card-padding: 0px;
  --card-border-color: transparent;
  --card-border-radius: var(--radius-card);
  --card-border-radius-image: var(--card-border-radius);
  --card-border-size: 0px;
  --card-image-background-color: var(--card-background-color);
  --card-image-size: 8rem;
  border: none;
}
@media (min-width: 1921px) {
  .js-has-pseudo .brand-card:not([csstools-has-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-2s-2t-37-2r-36-2x-34-38-2x-33-32-15]):not([csstools-has-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15]) {
    --card-head-height: 9.84375vw;
    --card-image-size: 6.6666666667vw;
  }
  .brand-card:not(:has(.brand-card__description)):not(:has(.brand-card__title)) {
    --card-head-height: 9.84375vw;
    --card-image-size: 6.6666666667vw;
  }
}
@media (max-width: 1600px) {
  .js-has-pseudo .brand-card:not([csstools-has-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-2s-2t-37-2r-36-2x-34-38-2x-33-32-15]):not([csstools-has-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15]) {
    --card-head-height: 7.5rem;
    --card-image-size: 6.125rem;
  }
  .brand-card:not(:has(.brand-card__description)):not(:has(.brand-card__title)) {
    --card-head-height: 7.5rem;
    --card-image-size: 6.125rem;
  }
}
@media (max-width: 1160px) {
  .js-has-pseudo .brand-card:not([csstools-has-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-2s-2t-37-2r-36-2x-34-38-2x-33-32-15]):not([csstools-has-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15]) {
    --card-head-height: 8.75rem;
    --card-image-size: 6.25rem;
  }
  .brand-card:not(:has(.brand-card__description)):not(:has(.brand-card__title)) {
    --card-head-height: 8.75rem;
    --card-image-size: 6.25rem;
  }
}
@media (max-width: 630px) {
  .js-has-pseudo .brand-card:not([csstools-has-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-2s-2t-37-2r-36-2x-34-38-2x-33-32-15]):not([csstools-has-1m-2w-2p-37-14-1a-2q-36-2p-32-2s-19-2r-2p-36-2s-2n-2n-38-2x-38-30-2t-15]) {
    --card-head-height: 5.25rem;
    --card-image-size: 4rem;
    --card-max-width: 5.625rem;
  }
  .brand-card:not(:has(.brand-card__description)):not(:has(.brand-card__title)) {
    --card-head-height: 5.25rem;
    --card-image-size: 4rem;
    --card-max-width: 5.625rem;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
